export * from './base';
export * from './context';
export * from './export';
export * from './print';
export * from './copy';
export { IHistoryService } from './history';
export { SignAction } from './sign-send';
export declare const action: {
    universalSign: import("@platform/core").IActionConfig<import("..").IActionServiceContext<import("..").ISignService> & import("..").IBaseContext & import("..").ICertificateUserContext & import("..").IUserDataContext, import("..").IUniversalSignResultSummary>;
    ecoSign: import("@platform/core").IActionConfig<import("..").IActionServiceContext<import("..").ISignService> & import("..").IBaseContext & import("..").ICertificateUserContext & import("..").IUserDataContext, import("..").IBaseEntity>;
    send: import("@platform/core").IActionConfig<import("..").IActionContext<import("./send").ISendService>, import("..").IBaseEntity>;
    signSend: ({ sign, send }: import("./sign-send").ISignSendConfig) => import("@platform/core").IActionConfig<import("./sign-send").SignSendContext, any>;
    verifySign: import("@platform/core").IActionConfig<import("..").IActionServiceContext<import("./verify-sign").ISignService> & import("..").IBaseContext & import("..").ICertificateUserContext, import("..").IVersifySignResult<any>>;
    validateSign: import("@platform/core").IActionConfig<import("..").IActionContext<import("./validate-sign").IValidateSignServive>, import("..").IBaseEntity>;
    repeatSend: import("@platform/core").IActionConfig<import("..").IActionContext<import("./repeat-send").IValidateSignServive>, import("..").IBaseEntity>;
    history: import("@platform/core").IActionConfig<import("..").IActionContext<import("./history").IHistoryService>, import("..").IHistoryDialogData<any>>;
    openXml: <TContext extends import("..").IBaseContext, TDoc extends import("..").IXmlContent>(xmlBodyField?: string, filePrefix?: string) => import("@platform/core").IActionConfig<TContext, TDoc>;
    downloadXml: <TContext_1 extends import("..").IBaseContext, TDoc_1 extends import("..").IXmlContent>(xmlBodyField?: string, filePrefix?: string) => import("@platform/core").IActionConfig<TContext_1, TDoc_1>;
    checkAuthority: import("@platform/core").IActionConfig<import("..").IActionServiceContext<import("..").ISignService> & import("..").IBaseContext & import("..").ICertificateUserContext & import("..").IUserDataContext, import("..").IAuthorityResult[]>;
    universalSignVerify: import("@platform/core").IActionConfig<import("./universal-sign-verify").IUniversalSignVerifyActionContext<import("..").IBaseSignedDocumentService>, import("..").IUniversalSignVerifyActionResult[]>;
    signInstallCrypto: import("@platform/core").IActionConfig<import("..").IBaseContext, import("..").IBaseEntity>;
    checkSignInstallCrypto: import("@platform/core").IActionConfig<import("..").IBaseContext, import("..").IBaseEntity>;
    getInstallCryptoAction: (getHeader?: (() => string) | undefined) => import("@platform/core").IActionConfig<import("..").IBaseContext, import("..").IBaseEntity>;
    getBankHistoryAction: <TDoc_2 extends import("..").IBaseEntity>({ getHeader, getStatusLabel, getBankClientName, onUserNameClick, }: import("./bank-history").BankHistoryActionParams<TDoc_2>) => import("@platform/core").IActionConfig<import("..").IActionContext<import("./bank-history").IHistoryService>, import("..").BankHistoryDialogData>;
};
